.cbs-banner {
    position: fixed;
    bottom: 0;
    left: 0;
    right: 0;
    z-index: 9999;
    padding: 32px 0;
    background-color: #fff;
    box-shadow: 0 0 12px rgba(0, 0, 0, 0.25);
    max-height: 100vh;
    overflow: auto;
    transform: translateY(100%);
    transition: all 0.3s linear;
}
.cbs-banner.active {
    transform: translateY(0);
}

.cbs-container {
    position: relative;
}

.cbs-overflow-scroll {
    overflow: auto;
    max-height: 60vh;
}

.cbs-info {
    width: 70%;
    margin-bottom: 24px;
}
.cbs-title {
    font-size: 20px;
    font-weight: 700;
    margin-bottom: 12px;
}
.cbs-description {
    font-size: 16px;
}
.cbs-description a {
    color: inherit;
    opacity: 0.5;
}

.cbs-inputs {
    width: 70%;
    display: -ms-flexbox;
    display: flex;
    align-items: center;
    justify-content: space-between;
    flex-wrap: wrap;
}
.cbs-inputs .custom-control-inline {
    margin-right: 0;
    padding-left: 0;
    margin-left: 32px;
    display: inline-block;
}
.custom-switch.custom-switch-md .custom-control-input {
    left: auto;
    right: 0;
}
.custom-switch.custom-switch-md .custom-control-label {
    padding-right: calc(2.75rem + 0.5rem);
    line-height: 2;
    font-weight: bold;
}
.custom-switch.custom-switch-md .custom-control-label::before {
    height: 1.5rem;
    width: 2.75rem;
    border-radius: 3rem;
    right: 0;
    left: auto;
}
.custom-switch.custom-switch-md .custom-control-label::after {
    width: calc(1.5rem - 4px);
    height: calc(1.5rem - 4px);
    border-radius: calc(2rem - (1.5rem / 2));
    right: calc(1.5rem - 3px);
    left: auto;
}
.custom-switch.custom-switch-md .custom-control-input:checked~.custom-control-label::after {
    transform: translateX(calc(1.5rem - 0.36rem));
}

.cbs-actions {
    position: absolute;
    width: 28%;
    top: 0;
    right: 0;
}
.cbs-actions button {
    display: block;
    width: 100%;
    margin-bottom: 4px;
}

@media (max-width: 991.98px) {
    .cbs-info {
        width: 100%;
        margin-bottom: 0;
    }

    .cbs-inputs {
        width: 100%;
        padding: 16px 0;
        margin: 20px 0 0;
        border-top: solid 1px #ddd;
        border-bottom: solid 1px #ddd;
    }
    .cbs-inputs a {
        margin-right: 0;
        width: 100%;
        margin-bottom: 12px;
    }
    .cbs-switchs {
        width: 100%;
        display: -ms-flexbox;
        display: flex;
        align-items: center;
        justify-content: space-between;
    }
    .cbs-inputs .custom-control-inline {
        margin-left: 0;
        margin-right: 0;
    }

    .cbs-actions {
        position: static;
        width: 100%;
        display: -ms-flexbox;
        display: flex;
        padding-top: 20px;
    }
    .cbs-actions button:first-child {
        -ms-flex-order: 1;
        order: 1;
        margin-left: 12px;
    }
    .cbs-actions button:last-child {
        -ms-flex-order: -1;
        order: -1;
        margin-right: 12px;
    }
}

@media (max-width: 767.98px) {
    .cbs-switchs {
        flex-wrap: wrap;
        margin-bottom: -8px;
    }
    .cbs-inputs .custom-control-inline {
        width: 100%;
        margin-right: 0;
    }
    .custom-switch.custom-switch-md .custom-control-input {
        right: 0;
    }
    .custom-switch.custom-switch-md .custom-control-label {
        width: 100%;
        padding: 0;
        margin: 4px 0;
    }
    .custom-switch.custom-switch-md .custom-control-label::before {
        right: 0;
    }
    .custom-switch.custom-switch-md .custom-control-label::after {
        right: calc(1.1rem + 3px);
    }
}